Page MenuHomePhabricator

Monolog logging configuration should support sampled logging
Closed, ResolvedPublic

Description

$wgDebugLogGroups logging configuration supports the concept of a sampled log. This can be used on high frequency logging events to probabilistically emit a log message. WMF's production logging configuration uses this to log the api and GlobalTitleFail log channels. The MWLoggerLegacyLogger class supports this type of log sampling, but no current Monolog handlers allow specifying a sampling factor.

Event Timeline

bd808 created this task.Dec 20 2014, 9:30 PM
bd808 claimed this task.
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 changed Security from none to None.
bd808 added subscribers: Aklapper, bd808.

Change 181346 had a related patch set uploaded (by BryanDavis):
monolog: MWLoggerMonologSamplingHandler

https://gerrit.wikimedia.org/r/181346

Patch-For-Review

Change 181349 had a related patch set uploaded (by BryanDavis):
beta: honor log sampling for logstash

https://gerrit.wikimedia.org/r/181349

Patch-For-Review

Change 181350 had a related patch set uploaded (by BryanDavis):
monolog: honor log sampling for logstash

https://gerrit.wikimedia.org/r/181350

Patch-For-Review

bd808 moved this task from Untriaged to Needs Review on the Librarization board.Dec 22 2014, 11:09 PM
bd808 moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 181346 merged by jenkins-bot:
monolog: MWLoggerMonologSamplingHandler

https://gerrit.wikimedia.org/r/181346

bd808 moved this task from Needs Review to Done on the Librarization board.
bd808 closed this task as Resolved.Dec 29 2014, 5:02 PM
bd808 removed a project: Patch-For-Review.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 29 2014, 10:07 PM

Change 181349 merged by jenkins-bot:
beta: honor log sampling and levels for logstash

https://gerrit.wikimedia.org/r/181349

Change 181350 merged by jenkins-bot:
monolog: honor log sampling and levels for logstash

https://gerrit.wikimedia.org/r/181350